%define api_version 1.14

Summary:    A GNU tool for automatically creating Makefiles
Name:       automake
Version:    %{api_version}
Release:    1
License:    GPLv2+ and GFDL and MIT 
Group:      Development/Tools
Source0:    http://ftp.gnu.org/gnu/automake/%{name}-%{version}.tar.gz
Source1:    http://ftp.gnu.org/gnu/automake/%{name}-%{version}.tar.gz.sig
URL:        http://sources.redhat.com/automake
Buildroot:  %{_tmppath}/%{name}-%{version}-%{release}-root

Buildrequires:  autoconf >= 2.60
Requires:   info, /sbin/install-info
Requires:   autoconf >= 2.60

%description
Automake is a tool for automatically generating `Makefile.in'
files compliant with the GNU Coding Standards.

You should install Automake if you are developing software and would
like to use its ability to automatically generate GNU standard
Makefiles. If you install Automake, you will also need to install
GNU's Autoconf package.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir} \
    --mandir=%{_mandir}
# build not smp safe:
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

# create this dir empty so we can own it
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/aclocal

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS README THANKS NEWS
%{_bindir}/*
%{_infodir}/*.info*
%{_datadir}/automake-%{api_version}
%{_datadir}/aclocal-%{api_version}
%{_mandir}/man1/*
%dir %{_datadir}/aclocal
/usr/bin/*


%changelog
* Fri Jun 21 2013 Michael Perzl <michael@perzl.org> - 1.14-1
- updated to version 1.14

* Fri Jun 21 2013 Michael Perzl <michael@perzl.org> - 1.13.4-1
- updated to version 1.13.4

* Tue Jun 04 2013 Michael Perzl <michael@perzl.org> - 1.13.3-1
- updated to version 1.13.3

* Thu May 16 2013 Michael Perzl <michael@perzl.org> - 1.13.2-1
- updated to version 1.13.2

* Tue Jan 01 2013 Michael Perzl <michael@perzl.org> - 1.13.1-1
- updated to version 1.13.1

* Mon Dec 31 2012 Michael Perzl <michael@perzl.org> - 1.13-1
- updated to version 1.13

* Sat Dec 15 2012 Michael Perzl <michael@perzl.org> - 1.12.6-1
- updated to version 1.12.6

* Sat Nov 17 2012 Michael Perzl <michael@perzl.org> - 1.12.5-1
- updated to version 1.12.5

* Tue Sep 18 2012 Michael Perzl <michael@perzl.org> - 1.12.4-1
- updated to version 1.12.4

* Tue Aug 14 2012 Michael Perzl <michael@perzl.org> - 1.12.3-1
- updated to version 1.12.3

* Mon Jul 09 2012 Michael Perzl <michael@perzl.org> - 1.12.2-1
- updated to version 1.12.2

* Wed Jun 06 2012 Michael Perzl <michael@perzl.org> - 1.12.1-1
- updated to version 1.12.1

* Wed Apr 26 2012 Michael Perzl <michael@perzl.org> - 1.12-1
- updated to version 1.12

* Fri Apr 13 2012 Michael Perzl <michael@perzl.org> - 1.11.5-1
- updated to version 1.11.5

* Tue Apr 03 2012 Michael Perzl <michael@perzl.org> - 1.11.4-1
- updated to version 1.11.4

* Wed Feb 01 2012 Michael Perzl <michael@perzl.org> - 1.11.3-1
- updated to version 1.11.3

* Thu Dec 22 2011 Michael Perzl <michael@perzl.org> - 1.11.2-1
- updated to version 1.11.2

* Fri Dec 11 2009 Michael Perzl <michael@perzl.org> - 1.11.1-1
- updated to version 1.11.1

* Thu Jun 18 2009 Michael Perzl <michael@perzl.org> - 1.11-1
- updated to version 1.11

* Fri Oct 10 2008 Michael Perzl <michael@perzl.org> - 1.10.1-1
- first version for AIX V5.1 and higher
